use Test::More tests => 1;
use Test::LeakTrace;

# TODO: if /var/cache/cipux is not there we would get a small memory leak (50)
# because of 3rd party Perl modules in the second run however we should not get
# any. Remove memory leaks from 3rd party modules and then remove this line.
my $object1 = CipUX::Storage->new( { cache_dir => 'blib/cache' } );

# 1
diag('CipUX::Storage');
no_leaks_ok {
    use CipUX::Storage;
    my $object2 = CipUX::Storage->new( { cache_dir => 'blib/cache' } );
}
'no memory leaks';

